Quick Start to Network Administration

How to Prepare for Deployment
Quick Start to Network Administration
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Network deployment of this program requires careful planning and execution. This section gives you quick, step-by-step instructions about how to prepare for deployment, set up a license server, and set up and distribute the program.

If you are not familiar with network administration and deployment, you should read the entire Network Administrator's Guide before you attempt to deploy and administer the program over a network.

Topics in this section

  • How to Prepare for Deployment
  • How to Set Up a License Server
Please send us your comment about this page


How to Prepare for Deployment

Quick Start to Network Administration
Quick Start to Network Administration
How to Choose an Installation Type
Quick Start to Network Administration >
How to Prepare for Deployment
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

To prepare for a deployment, you need to choose an installation type and a license server model.

Topics in this section

  • How to Choose an Installation Type
  • How to Choose a License Server Model


How to Choose an Installation Type

How to Prepare for Deployment
How to Prepare for Deployment
How to Choose a License Server Model
Quick Start to Network Administration > How to Prepare for Deployment >
How to Choose an Installation Type
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

When you set up your deployment, you need to choose the type of installation to deploy. In the Autodesk Quantity Takeoff 2010 Installation wizard, you specify one of the following installation types:

Network License installation

With this type of installation, you install the program to workstations with the files and registry entries that allow the program to communicate with the Network License Manager. You also define the configuration of the Network License Manager so that the licenses can be accessed. Workstations running the program based on a network installation do not require individual activation. Licensing of this program is managed by at least one license server.

The main advantage is that you can install Autodesk Quantity Takeoff on more systems than the number of licenses you have purchased (for example, purchasing 25 licenses but installing on 40 workstations). At any one time, Autodesk Quantity Takeoff runs on the maximum number of systems for which you have licenses. This means you get a true floating license.

Stand-Alone installation (Stand-Alone option)

Choose this type of installation for stand-alone installations where a single serial number is used for a single seat. You do not use the Network License Manager to manage product licensing, but installation, registration, and activation occurs on each workstation.


How to Choose a License Server Model

How to Choose an Installation Type
How to Prepare for Deployment
How to Set Up a License Server
Quick Start to Network Administration > How to Prepare for Deployment >
How to Choose a License Server Model
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

If you chose the Network Installation option, you need to decide which license server model to use to distribute the product licenses.

For the network installation, use one of the following license server models:

  • Single license server model. The Network License Manager is installed on a single server, so license management and activity is restricted to this server. A single license file represents the total number of licenses available on the server.
  • Distributed license server model. Licenses are distributed across more than one server. A unique license file is required for each server. To create a distributed license server, you must run the Network License Manager on each server that is part of the distributed server pool.
  • Redundant license server model. You use three servers to authenticate a single license file. One server acts as the master, while the other two provide backup if the master server fails. With this configuration, licenses continue to be monitored and issued as long as at least two servers are still functional. The license file on all three servers is the same. You must install the Network License Manager on each server.


How to Set Up a License Server

How to Choose a License Server Model
Quick Start to Network Administration
How to Install the Network License Manager
Quick Start to Network Administration >
How to Set Up a License Server
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

If you are planning to have users run the program using network licenses, you need to use the Network License Manager and the Network License Activation utility.

The Network License Manager helps you configure and manage license servers. The Network License Activation utility helps you get licenses and register them over the Internet.

Topics in this section

  • How to Install the Network License Manager
  • How to Install and Use the Network License Activation Utility
  • How to Configure Your License Server


How to Install the Network License Manager

How to Set Up a License Server
How to Set Up a License Server
How to Install and Use the Network License Activation Utility
Quick Start to Network Administration > How to Set Up a License Server >
How to Install the Network License Manager
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

The Network License Manager is used to configure and manage the license servers.

To install your Network License Manager

  1. In the Autodesk Quantity Takeoff 2010 Installation wizard, click Install Tools and Utilities.
  2. On the Select the Products to Install page, select Autodesk Network License Manager and click Next.
  3. Review the Autodesk software license agreement for your country or region. You must accept this agreement to proceed with the installation. Choose your country or region, click I Accept, and then click Next.
    NoteIf you do not agree to the terms of the license and want to terminate the installation, click Cancel.
  4. On the Review - Configure - Install page, review your product selection and the current settings. If you don’t want to make any changes, click Install. If you want to change the install type or installation path, click Configure.
  5. On the Location page, accept the default installation path (C:\Program Files\Autodesk Network License Manager\) or Browse to specify a different path. If you enter a path that does not exist, a new folder is created using the name and location you provide. Click Next.
    WarningDo not install the Network License Manager on a remote drive. When you install the Network License Manager files, you must provide a path to a local drive. You must specify the drive letter; the universal naming convention (UNC) is not supported.
  6. On the Configuration Complete page, click Configuration Complete to return to the confirmation page.
  7. On the Review - Configure - Install page, click Install.
  8. When the Installation Complete page displays, click Finish.


How to Install and Use the Network License Activation Utility

How to Install the Network License Manager
How to Set Up a License Server
How to Configure Your License Server
Quick Start to Network Administration > How to Set Up a License Server >
How to Install and Use the Network License Activation Utility
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

With the Network License Activation utility, you can obtain licenses over the Internet, which saves time and effort in setting up a network-licensed version of the program. In addition, you can register your product, get automated support by email if you cannot obtain a license over the Internet, and save and migrate license files automatically.

To install your Network License Activation utility

  1. In the Autodesk Quantity Takeoff 2010 Installation wizard, click Install Tools and Utilities.
  2. On the Select the Products to Install page, select Autodesk Quantity Takeoff Network License Activation Utility and click Next.
  3. Review the Autodesk software license agreement for your country or region. You must accept this agreement to proceed with the installation. Choose your country or region, click I Accept, and then click Next.
    NoteIf you do not agree to the terms of the license and want to terminate the installation, click Cancel.
  4. On the Review - Configure - Install page, review your product selection and the current settings. If you don’t want to make any changes, click Install. If you want to change the install type or installation path, click Configure.
  5. On the Location page, either accept the default installation path (C:\Program Files\Autodesk Network License Manager\Network License Activation Utility\enu\) or Browse to specify a different path. If you enter a path that does not exist, a new folder is created using the name and location you provide. Click Next.
  6. On the Configuration Complete page, click Configuration Complete to return to the confirmation page.
  7. On the Review - Configure - Install page, click Install.
  8. When the Installation Complete page displays, click Finish.

To use your Network License Activation utility

  1. Click Start menu [image] Programs (Windows XP) or All Programs (Windows Vista) [image] Autodesk [image] Network License Manager [image] Autodesk Quantity Takeoff Network License Activation Utility.
  2. On the Obtain a Network License page, choose Direct Connect (over the internet) or Send the request by email, fax or phone, and then click Next.
    TipDepending on which option you choose, you may want to obtain your Network License before starting your installation.
  3. On the Server Information page, enter the product serial number.
    NoteIf you are modifying an existing license file or obtaining a new license for an existing product, your previously entered information might be displayed. Make sure that the serial number that is displayed is the one you want to license. If it is not, enter the correct product serial number.
  4. In the License Server Model section, click a license server model. For more information about each license server model, click the ? button.
  5. In the Server Host Name box, enter a server host name or click the [...] button to locate the name of each server you plan to use.
  6. In the Host ID box, for each server host name you entered in the previous step, click Lookup to have the utility automatically locate the host ID for the server, or enter the host ID manually.
    NoteIf your server has more than one network adapter, select the one that corresponds to a physical network adapter. To determine which adapters are physical, enter ipconfig /all at a Windows command prompt and view the Description field above each physical address. If there is more than one physical network adapter, you can use any one of them, as long as it was listed when you ran ipconfig /all. Logical devices such as VPN adapters, PPP adapters, and modems may be listed but are not usable for licensing.
  7. If you chose Distributed Server in step 4, the Seats box is displayed. In the Seats box, enter the number of seats for each license server, and then click Next.
  8. On the Confirm Server Information page, review the server information you entered, and click Next.
  9. If the Register and License Your Autodesk Product page is displayed, do all of the following, and then click Next.
    • In the This Product Is To Be Registered To option, select Company or Individual.
    • In the Select Country or Region section, select your country or region of residence.
    • In the Is This an Upgrade section, select Yes or No.
  10. If the Registration Information page is displayed, enter your registration information, and then click Next.
  11. If the Confirm Information page is displayed, review your registration information, and then click Next.
  12. If the Connecting page is displayed, click Next to connect to the Internet to obtain your network license.
  13. On the Licenses Received page, in the Save License File for [computer name] dialog box, enter the location where you want to save your license file, or click Browse to navigate to the location.
    NoteIt is recommended that you save your license file to the location where you installed the Network License Manager.
  14. If you have an existing license file from another Autodesk product, select one of the following options:
    • Insert the New License Information Into It. The new license information is added into the existing license file.
    • Overwrite the Existing License File. The entire contents of the existing license file is replaced with the new license information. Select this option only if you no longer require any part of the existing license file contents.
  15. Click Next.
  16. On the License Activation Successful page, click Print to save a printed copy of the license information, or click Done to complete the transaction and exit the Network Activation utility.


How to Configure Your License Server

How to Install and Use the Network License Activation Utility
How to Set Up a License Server
System Requirements
Quick Start to Network Administration > How to Set Up a License Server >
How to Configure Your License Server
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

You configure a license server so that you can manage the Autodesk product licenses you received when you ran the Network License Activation utility. Configure the license server with the lmtools.exe utility.

To configure your license server

You should be logged in with Administrator rights when working with the LMTOOLS utility.

  1. Do one of the following:
    • Click Start menu [image] Programs (Windows XP) or All Programs (Windows Vista) [image] Autodesk [image] Network License Manager [image] LMTOOLS.
    • Right-click the LMTOOLS icon (Windows Vista) on the desktop and click Run As Administrator.
  2. In the Lmtools program, on the Service/License File tab, select the Configure Using Services option.
  3. Click the Config Services tab.
  4. On the Config Services tab, in the Service Name list, select a service name or do one of the following:
    • If a service name is selected, verify that it is the one you want to use to manage licenses.
    • If no service name exists, enter the service name you want to use to manage licenses.
    NoteIf you have more than one software vendor using FLEXlm® for license management, the Service Name list contains more than one option.
  5. In the Path to Lmgrd.exe File box, enter the path to the Network License Manager daemon (lmgrd.exe), or click Browse to locate the file.

    By default, this daemon is installed in the \Program Files\Autodesk Network License Manager folder.

  6. In the Path to the License File box, enter the path to your license file, or click Browse to locate the file.
  7. In the Path to the Debug Log File box, enter a path to create a debug log, or click Browse to locate an existing log file.
  8. To run lmgrd.exe as a service, select Use Services.
  9. To automatically start lmgrd.exe when the system starts, select Start Server at Power Up.
  10. Click Save Service to save the new configuration under the service name you selected in step 4. Then click Yes.
  11. Click the Start/Stop/Reread tab.
  12. On the Start/Stop/Reread tab, do one of the following:
    • If a service has not yet been defined for Autodesk, click Start Server to start the license server.
    • If a service for Autodesk is already defined and running, click ReRead to refresh the Network License Manager with any changes made to the license file or Options file.

      The license server starts running and is ready to respond to client requests.

  13. Close lmtools.exe.


System Requirements

How to Configure Your License Server
System Requirements for This Program
System Requirements
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

This section contains the system requirements for the location of the administrative image that you create, the network license server, and the client workstation.

Topics in this section

  • System Requirements for This Program


System Requirements for This Program

System Requirements
System Requirements
System Requirements >
System Requirements for This Program
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Before you begin installing the program on a network, make sure that your servers and client workstations meet the minimum recommended hardware and software requirements for a deployment.

See the following tables for administrative image, license server, and client workstation system requirements.

Hardware and software requirements for the location of the administrative image
Hardware/Software | Requirement | Notes
Hard disk | 550 MB (recommended) | The location where you create the administrative image must be a shared location so that users can access the administrative image.

Hardware and software requirements for the network license server
Hardware/Software | Requirement | Notes
Operating system | Windows® Vista® 32-bit Windows® XP® 32-bit Windows® 2003 Server Edition | The Network License Manager supports Ethernet network configurations only.
Computer/processor | Intel® Pentium® IV, 800 MHz 32-bit (x86) or 64-bit (x64) processor (or faster) |
Network interface card | Compatible with existing Ethernet network infrastructure | The Network License Manager supports multiple network interface cards.
Communication protocol | TCP/IP | The Network License Manager uses TCP packet types.
Hardware and software requirements for client machine
Hardware/Software | Requirement | Notes
Operating system | Windows® XP® Professional, SP2 Windows® Vista® | It is recommended that non-English language versions of Autodesk Quantity Takeoff be installed on an operating system with a user interface language that matches the code page of the Autodesk Quantity Takeoff language. A code page provides support for character sets used in different languages. For more information about Windows Vista versions, please see http://www.microsoft.com/windowsvista/versions.
Web browser | Microsoft® Internet Explorer 6.0, SP1 (or later) | You cannot install Autodesk Quantity Takeoff if Microsoft Internet Explorer 6.0, SP1 (or later) is not installed on the installation workstation. You can download Internet Explorer from the Microsoft website: http://www.microsoft.com/downloads/.
Processor | Intel® Pentium® IV, 800 MHz 32-bit (x86) or 64-bit (x64) processor (or faster) | Multiple processors supported Dual core supported
Memory (RAM) | 2 GB (minimum) 4 GB (recommended) |
Display Resolution | 1024 x 768 True Color (minimum) |
Display Card | 128 MB Video Adaptor Card (minimum) 256 MB or greater, Direct 3D compatible 3D Video Adaptor Card (recommended) | For more information about currently supported video cards, please see http://www.autodesk.com/autocad-graphicscard.
Hard disk | Installation: 550 MB |
Pointing device | Mouse, trackball or compatible pointing device |
DVD | Any speed (for installation only) |
Optional hardware | Printer or plotter Internet access Network interface card |


Comments?

Using this form sends your comments to the Autodesk Technical Publications group responsible for this documentation.

Topic title and location (do not edit):
Name (optional):
         Email (optional):
Comments:

Note: This form is not intended as a way for you to receive feedback or technical support. The information you provide will be used to enhance future updates to the documentation. Thanks!